%define dist .el5_0

Summary: An encoder/decoder for the Free Lossless Audio Codec.
Name: flac
Version: 1.1.2
Release: 28%{?dist}.1.XOS.1
License: LGPL/GPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.gz
Patch1: flac-1.1.2-libtool.patch
Patch3: flac-1.1.0-gnu-stack.patch
Patch4: flac-1.1.2-noxmms.patch
Patch5: flac-1.1.2-bufferoverflow-fix.diff
URL: http://flac.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: glib2-devel, libogg-devel, doxygen, nasm
BuildRequires: libtool, gettext-devel
Obsoletes: flac-libs
Obsoletes: xmms-flac < 1.1.2-24

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.

%package devel
Summary: Static libraries and header files from FLAC.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec.

%prep
%setup -q
%patch1 -p1 -b .libtool
%patch3 -p1 -b .gnu-stack
%patch4 -p1 -b .noxmms
%patch5 -p0 -b .CVE-2007-4619

autoreconf -i -f

%build
export XMMS_CONFIG=no # Disable XMMS
%configure --with-pic

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
find doc/ -name "Makefile*" -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root,-)
%doc AUTHORS COPYING* README
%{_bindir}/flac
%{_bindir}/metaflac
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%doc doc/html
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4

%changelog
* Fri Nov 02 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.1.2-28.el5_0.1.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on flac-1.1.2-28.el5_0.1.src.rpm
  (md5sum of original source rpm: 3f6524fbf21a606c1ba04c7ff95cf524).
- Include "dist" macro with value ".el5_0" to match the original release number.

* Wed Oct 17 2007 - Bastien Nocera <bnocera@redhat.com> - 1.1.2-28
- Add patch from Takashi Iwai to fix CVE-2007-4619
Resolves: rhbz #332611

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.1.2-27
- rebuild
- Try building w/ glib2-devel

* Wed Jun  7 2006 Jeremy Katz <katzj@redhat.com> - 1.1.2-26
- rebuild for -devel deps

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.1.2-25.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.2-25.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Apr 21 2005 Warren Togami <wtogami@redhat.com> - 1.1.2-25
- Fix buildreqs  (#154649 thias)
- obsolete older xmms-flac

* Mon Apr  4 2005 Elliot Lee <sopwith@redhat.com> - 1.1.2-24
- Removed xmms-flac subpackage

* Tue Mar 29 2005 John (J5) Palmieri <johnp@redhat.com> 1.1.2-2
- Rebuild (flac picked up a dependancy on it's older version)

* Mon Mar 28 2005 John (J5) Palmieri <johnp@redhat.com> 1.1.2-1
- Update to upstream version 1.1.2
- Replace flac-1.1.0-libtool.patch with flac-1.1.2-libtool.patch

* Wed Mar 02 2005 John (J5) Palmieri <johnp@redhat.com> 1.1.0-9
- rebuild for gcc 4.0

* Wed Feb 23 2005 Colin Walters <walters@redhat.com> 1.1.0-8
- New patch flac-1.1.0-gnu-stack.patch from Ulrich Drepper to mark asm
  as not requiring an executable stack

* Thu Jul 15 2004 Tim Waugh <twaugh@redhat.com> 1.1.0-7
- Fixed warnings in shipped m4 file.

* Mon Jun 21 2004 Colin Walters <walters@redhat.com> 1.1.0-6
- BuildRequire glib-devel for xmms plugin
- BuildRequire nasm

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Apr 04 2004 Warren Togami <wtogami@redhat.com> 1.1.0-4
- #119551 flac-xmms -> xmms-flac to match fedora.us and freshrpms.net
- Obsoletes flac-libs to upgrade smoothly from fedora.us

* Thu Mar 11 2004 Bill Nottingham <notting@redhat.com> 1.1.0-3
- fix x86_64 linkage (#117893)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Aug  6 2003 Bill Nottingham <notting@redhat.com> 1.1.0-1
- initial build
